Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class GOST3410Parameters

    java.lang.Object
      |
      +--org.bouncycastle.crypto.params.GOST3410Parameters

All Implemented Interfaces:
  CipherParameters

public class GOST3410Parameters
extends java.lang.Object
implements CipherParameters

Constructor Summary
`GOST3410Parameters(java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger a)`
`GOST3410Parameters(java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger a, GOST3410ValidationParameters params)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.math.BigInteger` | `getA()`
`java.math.BigInteger` | `getP()`
`java.math.BigInteger` | `getQ()`
`GOST3410ValidationParameters` | `getValidationParameters()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOST3410Parameters

    public GOST3410Parameters(java.math.BigInteger p,
                              java.math.BigInteger q,
                              java.math.BigInteger a)

### GOST3410Parameters

    public GOST3410Parameters(java.math.BigInteger p,
                              java.math.BigInteger q,
                              java.math.BigInteger a,
                              GOST3410ValidationParameters params)

Method Detail

### getP

    public java.math.BigInteger getP()

### getQ

    public java.math.BigInteger getQ()

### getA

    public java.math.BigInteger getA()

### getValidationParameters

    public GOST3410ValidationParameters getValidationParameters()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD